#pragma once

#include "CoreMinimal.h"
#include "AISkill_FindInteractable.h"
#include "AITunableParameter.h"
#include "AISkill_FindInteractable_K36ArtifactInvisibleLocker.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class UAISkill_FindInteractable_K36ArtifactInvisibleLocker : public UAISkill_FindInteractable
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float TriggerInvisibilityTime;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter AverageHookStageDifferenceWeight;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter MaxValidLockerDistance;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter MinimumRequiredGoalWeight;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter LastSurvivorWeight;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter MaxClosestSurvivorDistance;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter ClosestSurvivorInjuredWeightPenalty;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter ClosestSurvivorMaxHookWeightPenalty;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter ClosestSurvivorDistanceMaxWeightPenalty;

public:
	UAISkill_FindInteractable_K36ArtifactInvisibleLocker();
};

FORCEINLINE uint32 GetTypeHash(const UAISkill_FindInteractable_K36ArtifactInvisibleLocker) { return 0; }
